| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::TileIndex Class Reference

## Public Types
enum | Constants { MaxLevel = 9 , MaxIndexCount = MaxLevel+1 , Tiling = 10 , MaxLinearIndex = Tiling*Tiling }
enum | CornerPosition { CornerNW = 1 , CornerSW = 2 , CornerNE = 3 , CornerSE = 4 }
typedef QList< TileIndex > | List

## Public Member Functions
void | appendLatLonIndex (const int latIndex, const int lonIndex)
void | appendLinearIndex (const int newIndex)
int | at (const int getLevel) const
void | clear ()
int | indexCount () const
int | indexLat (const int getLevel) const
int | indexLon (const int getLevel) const
int | lastIndex () const
QPoint | latLonIndex (const int getLevel) const
void | latLonIndex (const int getLevel, int *const latIndex, int *const lonIndex) const
int | level () const
int | linearIndex (const int getLevel) const
TileIndex | mid (const int first, const int len) const
void | oneUp ()
GeoCoordinates | toCoordinates () const
GeoCoordinates | toCoordinates (const CornerPosition ofCorner) const
QIntList | toIntList () const

## Static Public Member Functions
static TileIndex | fromCoordinates (const Digikam::GeoCoordinates &coordinate, const int getLevel)
static TileIndex | fromIntList (const QIntList &intList)
static bool | indicesEqual (const TileIndex &a, const TileIndex &b, const int upToLevel)
static QList< QIntList > | listToIntListList (const QList< TileIndex > &tileIndexList)